VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4590
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7740
   LinkTopic       =   "Form1"
   Picture         =   "Form1.frx":0000
   ScaleHeight     =   4590
   ScaleWidth      =   7740
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command2 
      Caption         =   "Exit"
      Height          =   495
      Left            =   5760
      TabIndex        =   4
      Top             =   3960
      Width           =   1455
   End
   Begin VB.CommandButton showcls 
      Caption         =   "Show Class"
      Height          =   495
      Left            =   5760
      TabIndex        =   0
      Top             =   3240
      Width           =   1215
   End
   Begin VB.Label classcount 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   720
      TabIndex        =   11
      Top             =   3840
      Width           =   855
   End
   Begin VB.Label Label5 
      Caption         =   "Number of Classes"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   3360
      Width           =   2775
   End
   Begin VB.Label Label3 
      Caption         =   "Dept"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1200
      TabIndex        =   9
      Top             =   2040
      Width           =   1695
   End
   Begin VB.Label Label1 
      Caption         =   "Number"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1200
      TabIndex        =   8
      Top             =   1400
      Width           =   1695
   End
   Begin VB.Label dept 
      Height          =   375
      Left            =   3240
      TabIndex        =   7
      Top             =   2040
      Width           =   3375
   End
   Begin VB.Label number 
      Height          =   375
      Left            =   3240
      TabIndex        =   6
      Top             =   1400
      Width           =   3375
   End
   Begin VB.Label school 
      Height          =   375
      Left            =   3240
      TabIndex        =   5
      Top             =   120
      Width           =   3375
   End
   Begin VB.Label Label2 
      Caption         =   "Class Name"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1200
      TabIndex        =   3
      Top             =   760
      Width           =   1695
   End
   Begin VB.Label Label4 
      Caption         =   "School"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1200
      TabIndex        =   2
      Top             =   120
      Width           =   1695
   End
   Begin VB.Label ClassName 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3240
      TabIndex        =   1
      Top             =   760
      Width           =   3375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' create a variable to hold an instance
' of the class constructed to hold a collection of
' course objects
Dim WithEvents clslist As courses

' if the courses class raises the DataError event, we handle
' here. This is the same kind of code as we
' write to handle other events like mouse clicks
Private Sub clslist_DataError(ByVal mesg As String)
    Dim msg As String, retval As Integer, opval As Integer
    msg = "Error: " & mesg & "Exit?"
    opval% = vbExclamation + vbYesNo + vbDefaultButton2
    'Display the message box and get a return value
    retval% = MsgBox(msg$, opval%, TitleMsg$)
    
    'If the value is Yes, exit the program
    If retval% = vbYes Then
        End
    End If
End Sub

' Since cur is static, each time we click on showcls
' it keeps the previous value and gets incremented
' so each time, we get the next records out of the collection
' if the value of cur is 0 (VB initial value) we set it to one
' since collections start at 1. We also change the caption
' on the button to show that it will now show the next record

Private Sub showcls_Click()
    Static cur As Integer
    Dim x As course
    If cur = 0 Then
        cur = 1
        showcls.Caption = "Next Class"
    End If
    If cur > clslist.count Then
        cur = 1 ' start over
    End If
    
    Set x = clslist.item(cur) ' get the current course object
    ' display info from the record
    school.Caption = x.school
    ClassName.Caption = x.ClassName
    dept.Caption = x.dept
    number.Caption = x.classnum
    cur = cur + 1
End Sub

Private Sub Command2_Click()
    End
End Sub

' create a new course collection object and use its loadfromini()
' method to load data from the ini file in ifile
Private Sub Form_Load()
    Dim ifile As String
    
    Dim cls As course
    Set clslist = New courses ' allocate space for courses object
    
    ifile = App.Path & "\" & "prefs.ini" ' path to data file
    clslist.loadfromini ifile ' load the data
    classcount.Caption = clslist.count
End Sub
