VERSION 5.00
Begin VB.Form frmAdvStr 
   Caption         =   "Advanced String Manipulation"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5220
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   5220
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdIsValid 
      Caption         =   "Test IsValid()"
      Height          =   375
      Left            =   3360
      TabIndex        =   12
      Top             =   2160
      Width           =   1335
   End
   Begin VB.CommandButton cmdFirstName 
      Caption         =   "Get First Name"
      Height          =   375
      Left            =   1800
      TabIndex        =   11
      Top             =   2160
      Width           =   1335
   End
   Begin VB.CommandButton cmdLastName 
      Caption         =   "Get Last Name"
      Height          =   375
      Left            =   1800
      TabIndex        =   10
      Top             =   2640
      Width           =   1335
   End
   Begin VB.CommandButton cmdInStr 
      Caption         =   "Simple InStr()"
      Height          =   375
      Left            =   240
      TabIndex        =   5
      Top             =   2640
      Width           =   1335
   End
   Begin VB.TextBox txtThird 
      Height          =   375
      Left            =   3480
      TabIndex        =   4
      Top             =   600
      Width           =   1455
   End
   Begin VB.CommandButton cmdSimpleMid 
      Caption         =   "Simple Mid()"
      Height          =   375
      Left            =   240
      TabIndex        =   3
      Top             =   2160
      Width           =   1335
   End
   Begin VB.TextBox txtHold 
      Height          =   375
      Left            =   240
      TabIndex        =   2
      Top             =   1560
      Width           =   3135
   End
   Begin VB.TextBox txtSecond 
      Height          =   375
      Left            =   1920
      TabIndex        =   1
      Top             =   600
      Width           =   1455
   End
   Begin VB.TextBox txtFirst 
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   600
      Width           =   1455
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Center
      Caption         =   "txtHold"
      Height          =   255
      Left            =   240
      TabIndex        =   9
      Top             =   1200
      Width           =   3135
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "txtThird"
      Height          =   255
      Left            =   3480
      TabIndex        =   8
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "txtSecond"
      Height          =   255
      Left            =   1920
      TabIndex        =   7
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "txtFirst"
      Height          =   255
      Left            =   240
      TabIndex        =   6
      Top             =   240
      Width           =   1455
   End
End
Attribute VB_Name = "frmAdvStr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdFirstName_Click()
    Dim strFullName As String
    Dim strFirstName As String
    
    strFullName = txtHold.Text
    
    strFirstName = GetFirstName(strFullName)
    
    txtFirst.Text = strFirstName
End Sub

Private Sub cmdInStr_Click()
    Dim lngResult As Long
    Dim strMyString As String
    Dim strFind As String
    Dim lngStart As Long
    
    'Assign the value for the string in which you are
    'going to look for your character or string.
    strMyString = txtFirst.Text
    
    'Get the string you want to look for from the
    'TextBox
    strFind = txtSecond.Text
    
    'If the TextBox is not empty, get the starting
    'position for the search
    If txtThird.Text <> "" Then
        lngStart = CLng(txtThird.Text)
    Else
        'If it is empty, set the starting position to
        'the first character
        lngStart = 1
    End If
    lngResult = InStr(lngStart, strMyString, strFind)
    
    'Display the answer
    txtHold.Text = CStr(lngResult)
End Sub

Private Sub cmdIsValid_Click()
    Dim bResult As Boolean
    Dim strFull As String
    
    strFull = txtHold.Text
    
    bResult = IsValid(strFull)
    
    txtFirst.Text = CStr(bResult)
End Sub

Private Sub cmdSimpleMid_Click()
    Dim strBuffer    As String 'String Buffer
    Dim strMyString  As String 'The string upon which
                    'to perform the Mid() function
     
    Dim lngStart As Long   'The starting position
                            'of the Mid()function
                   
    Dim lngSize As Long  'Size of the string to return
  
    'Assign the text in the first textbox to the
    'MyString variable
    strMyString = txtFirst.Text
    
    'Convert the numeral in the second textbox to a
    'LONG and assign it to the starting position
    'variable.
    lngStart = CLng(txtSecond.Text)
    
    'Convert the numeral in the third textbox to a
    'LONG and assign it to the return size variable.
    lngSize = CLng(txtThird.Text)
    
    'Run the Mid() function and assign the result to
    'the buffer variable.
    strBuffer = Mid(strMyString, lngStart, lngSize)
    
    'Display the result in a textbox.
    txtHold.Text = strBuffer
End Sub


Private Sub cmdLastName_Click()
    Dim strFullName As String
    Dim strLastName As String
    
    strFullName = txtHold.Text
    
    strLastName = GetLastName(strFullName)
    
    txtSecond.Text = strLastName
End Sub



