VERSION 5.00
Begin VB.Form newform 
   Caption         =   "New Grade Book"
   ClientHeight    =   3330
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5385
   LinkTopic       =   "Form1"
   ScaleHeight     =   3330
   ScaleWidth      =   5385
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer msgtimer 
      Enabled         =   0   'False
      Left            =   120
      Top             =   2040
   End
   Begin VB.Frame controls 
      Height          =   735
      Left            =   2520
      TabIndex        =   13
      Top             =   2520
      Width           =   2775
      Begin VB.CommandButton help 
         Caption         =   "Help"
         Height          =   495
         Left            =   120
         TabIndex        =   16
         Top             =   120
         Width           =   735
      End
      Begin VB.CommandButton addnew 
         Caption         =   "Add new school"
         Height          =   495
         Left            =   900
         TabIndex        =   15
         Top             =   120
         Width           =   975
      End
      Begin VB.CommandButton newdone 
         Caption         =   "Done"
         Height          =   495
         Left            =   1920
         TabIndex        =   14
         Top             =   120
         Width           =   735
      End
   End
   Begin VB.Frame classinfo 
      Caption         =   "Class Info"
      Height          =   2415
      Left            =   2760
      TabIndex        =   6
      Top             =   120
      Width           =   2535
      Begin VB.ComboBox campuses 
         Height          =   315
         Left            =   1440
         TabIndex        =   19
         Top             =   1920
         Width           =   975
      End
      Begin VB.ComboBox Dept 
         Height          =   315
         ItemData        =   "newform.frx":0000
         Left            =   1440
         List            =   "newform.frx":0002
         TabIndex        =   18
         Top             =   360
         Width           =   975
      End
      Begin VB.ComboBox clsnum 
         Height          =   315
         Left            =   1440
         TabIndex        =   8
         Top             =   880
         Width           =   975
      End
      Begin VB.ComboBox clssect 
         Height          =   315
         Left            =   1440
         TabIndex        =   7
         Top             =   1400
         Width           =   975
      End
      Begin VB.Label Label7 
         Caption         =   "Campus"
         Height          =   255
         Left            =   720
         TabIndex        =   12
         Top             =   1920
         Width           =   735
      End
      Begin VB.Label Label3 
         Caption         =   "Section"
         Height          =   255
         Left            =   720
         TabIndex        =   11
         Top             =   1430
         Width           =   735
      End
      Begin VB.Label Label5 
         Caption         =   "Dept"
         Height          =   255
         Left            =   840
         TabIndex        =   10
         Top             =   390
         Width           =   615
      End
      Begin VB.Label Label6 
         Caption         =   "Class Number"
         Height          =   255
         Left            =   360
         TabIndex        =   9
         Top             =   910
         Width           =   1095
      End
   End
   Begin VB.ListBox schoollist 
      Height          =   255
      ItemData        =   "newform.frx":0004
      Left            =   960
      List            =   "newform.frx":0006
      TabIndex        =   5
      ToolTipText     =   "Choose a school"
      Top             =   120
      Width           =   975
   End
   Begin VB.TextBox clstitle 
      Height          =   285
      Left            =   120
      TabIndex        =   2
      ToolTipText     =   "The class name, like 'Visual Basic' or 'Advanced C++'"
      Top             =   840
      Width           =   1935
   End
   Begin VB.TextBox clsbook 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Top             =   1680
      Width           =   1935
   End
   Begin VB.Label msgs 
      Height          =   495
      Left            =   120
      TabIndex        =   17
      Top             =   2640
      Width           =   2295
   End
   Begin VB.Label Label4 
      Caption         =   "School"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   615
   End
   Begin VB.Label Label1 
      Caption         =   "Class Name"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   600
      Width           =   1095
   End
   Begin VB.Label Label2 
      Caption         =   "Gradebook Name"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   1440
      Width           =   1455
   End
End
Attribute VB_Name = "newform"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub addnew_Click()
    newschool.Show
End Sub

Private Sub Form_Load()
    Dim temp As String, fname As String
    Dim schnum As Integer
    Dim tstr As Variant, clist As Variant, dlist As Variant
    
    fname = App.Path & "\schools.dt"
    If Dir$(fname) = "" Then
        Call showmesg("No school data defined yet", 0)
        Exit Sub
    End If
    
    Open fname For Input As #1
    schnum = 0
    Do While Not EOF(1)
        Line Input #1, temp
        tstr = split(temp, SCHSEP)
        schoollist.AddItem tstr(0)
        systemdata.schools(schnum).schoolname = tstr(0)
        systemdata.schools(schnum).depts = tstr(1)
        systemdata.schools(schnum).campuses = tstr(2)
        schnum = schnum + 1
    Loop
End Sub

Private Sub mesg_Click()

End Sub

Private Sub newdone_Click()
    Me.Hide
End Sub

Private Sub showmesg(msg As String, n As Integer)
    If n = 1 Then
        msgs.ForeColor = vbRed
    Else
        msgs.ForeColor = vbBlack
    End If
    msgs.Caption = msg
    msgtimer.Interval = 5000
    msgtimer.Enabled = True
End Sub
Private Sub msgtimer_Timer()
    msgs.Caption = ""
    msgtimer.Enabled = False
End Sub

Private Sub schoollist_Click()
    Dim schnum As Integer
    Dim dlist As Variant, dstr As Variant
    schnum = schoollist.ListIndex
    dlist = split(systemdata.schools(schnum).depts, SUBSEP)
    For Each dstr In dlist
        If Dept.Text = "" Then
            Dept.Text = dstr
        Else
            Dept.AddItem dstr
        End If
    Next
    dlist = split(systemdata.schools(schnum).campuses, SUBSEP)
    For Each dstr In dlist
        If campuses.Text = "" Then
            campuses.Text = dstr
        Else
            campuses.AddItem dstr
        End If
    Next
End Sub
