VERSION 5.00
Begin VB.UserControl phonectrl 
   BackColor       =   &H00FF80FF&
   ClientHeight    =   945
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4035
   ScaleHeight     =   945
   ScaleWidth      =   4035
   Begin VB.CommandButton done 
      BackColor       =   &H0080C0FF&
      Caption         =   "Done"
      Height          =   735
      Left            =   3360
      Style           =   1  'Graphical
      TabIndex        =   6
      Top             =   120
      Width           =   615
   End
   Begin VB.TextBox linenum 
      Height          =   285
      Left            =   2280
      TabIndex        =   2
      Top             =   480
      Width           =   855
   End
   Begin VB.TextBox exch 
      Height          =   285
      Left            =   1320
      TabIndex        =   1
      Top             =   480
      Width           =   615
   End
   Begin VB.TextBox area 
      Height          =   285
      Left            =   360
      TabIndex        =   0
      Top             =   480
      Width           =   615
   End
   Begin VB.Label Label3 
      BackStyle       =   0  'Transparent
      Caption         =   "Line"
      Height          =   255
      Left            =   2280
      TabIndex        =   5
      Top             =   120
      Width           =   855
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "Exchange"
      Height          =   255
      Left            =   1320
      TabIndex        =   4
      Top             =   120
      Width           =   735
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Area Code"
      Height          =   375
      Left            =   360
      TabIndex        =   3
      Top             =   0
      Width           =   615
   End
End
Attribute VB_Name = "phonectrl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Public Event clicked()
' check each key as it is entered. Only allow digits.
' after a certain number of characters are entered,
' check that it is valid and then move the focus to
' the next box. If there is an error, report it and
' put the focus back in the field with the error

Private Sub area_KeyPress(KeyAscii As Integer)
    Static cnt As Integer
    If cnt = 0 Then cnt = 1
    
    If KeyAscii = 8 Then ' backspace
        cnt = cnt - 1
        Exit Sub
    End If
    If KeyAscii >= 48 And KeyAscii <= 57 Then
        cnt = cnt + 1
        If cnt > 3 Then
            exch.SetFocus
            cnt = 1
        End If
        Exit Sub
    Else
        MsgBox "only numbers are allowed"
        area.SelStart = cnt - 1
        area.SelLength = 1
        area.SetFocus
    End If
End Sub
Private Sub exch_KeyPress(KeyAscii As Integer)
    Static cnt As Integer
    If cnt = 0 Then cnt = 1
    
    If KeyAscii = 8 Then ' backspace
        cnt = cnt - 1
        Exit Sub
    End If

    If KeyAscii >= 48 And KeyAscii <= 57 Then
        If cnt >= 3 Then
            If exch.Text & Chr$(KeyAscii) = "555" Then
                exch.Text = exch.Text & Chr$(KeyAscii)
                MsgBox "Exchange can not be 555"
                exch.Text = ""
                KeyAscii = 0
                exch.SetFocus
            Else
                linenum.SetFocus
            End If
            cnt = 1
            Exit Sub
        End If
    Else
        MsgBox "only numbers are allowed"
        KeyAscii = 0
        exch.SetFocus
        Exit Sub
    End If
    cnt = cnt + 1
End Sub
Private Sub linenum_KeyPress(KeyAscii As Integer)
    Static cnt As Integer
    If cnt = 0 Then cnt = 1
    
    If KeyAscii = 8 Then ' backspace
        cnt = cnt - 1
        Exit Sub
    End If

    If KeyAscii >= 48 And KeyAscii <= 57 Then
        cnt = cnt + 1
        If cnt > 4 Then
            cnt = 1
            done.SetFocus
        End If
        Exit Sub
    Else
        MsgBox "only numbers are allowed"
        linenum.SelStart = cnt - 1
        linenum.SelLength = 1
        linenum.SetFocus
    End If
End Sub
' this just checks that something is entered into
' each field. Then it raises the clicked event for
' the form using the control
Private Sub done_Click()
    Select Case True
        Case area.Text = ""
                MsgBox "area code is required"
                area.SetFocus

        Case exch.Text = ""
                MsgBox "area code is required"
                exch.SetFocus

        Case linenum.Text = ""
                MsgBox "area code is required"
                linenum.SetFocus
        Case Else ' stuff is there so raise event
            RaiseEvent clicked
    End Select
End Sub



' I got the proportion constants by looking at the
' widths of the boxes in the control form.
' then divided the width of the entire control
' to get the percentage of the total for the box
Private Sub UserControl_Resize()
    ' specify a minimal width
    If UserControl.Width < 4000 Then UserControl.Width = 4000
    area.Width = UserControl.ScaleWidth * 0.152
    exch.Width = UserControl.ScaleWidth * 0.152
    linenum.Width = UserControl.ScaleWidth * 0.211
    done.Width = UserControl.ScaleWidth * 0.152
    ' adjust the relative positions to keep
    ' some space between the boxes
    exch.Left = area.Left + area.Width + 100
    linenum.Left = exch.Left + exch.Width + 100
    done.Left = linenum.Left + linenum.Width + 100
End Sub
' returns the string in (123) 456-7890 format
Public Function stdformat() As String
    Dim a As String, e As String, l As String
    a = "(" & area.Text & ")"
    e = exch.Text
    l = linenum.Text
    stdformat = a & " " & e & "-" & l
End Function
' returns the string in 123.456.7890 format
Public Function trendformat() As String
    Dim a As String, e As String, l As String
    a = area.Text
    e = exch.Text
    l = linenum.Text
    trendformat = a & "." & e & "." & l
End Function
' this should calculate the width of each box so
' it can hold the right number of digits in
' the current font. But it doesn't
Private Sub UserControl_Initialize()
    ' place holder
End Sub
