VERSION 5.00
Begin VB.UserControl ShowMesg 
   ClientHeight    =   1095
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3570
   ScaleHeight     =   1095
   ScaleWidth      =   3570
   Begin VB.Timer Timer1 
      Left            =   120
      Top             =   720
   End
   Begin VB.Label mesg 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   975
      Left            =   120
      TabIndex        =   0
      Top             =   0
      Width           =   3375
   End
End
Attribute VB_Name = "ShowMesg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
' This control acts as a label.
' The control displays a message for a number of milliseconds
' after that the message is deleted.
' It can be displayed in two colors

Dim timeout As Integer ' how many milliseconds to wait

' set the default value of the property
Private Sub UserControl_InitProperties()
    timeout = 5000 'milliseconds
End Sub

' adjust the label size to match the control size
Private Sub UserControl_Resize()
    mesg.Height = UserControl.ScaleHeight
    mesg.Width = UserControl.ScaleWidth
End Sub

' copy the message to the label caption
' change the color to red for error messages (n = 1)
' set the timer to clear the message later
Public Sub ShowMesg(msg As String, n As Integer)
    mesg.ForeColor = vbBlack
    If n = 1 Then
        mesg.ForeColor = vbRed
    End If
    mesg.Caption = msg
    Timer1.Interval = timeout ' set the delay time
    Timer1.Enabled = True ' turn on the timer
End Sub

' when the timer goes off, clear the message
Private Sub Timer1_Timer()
    mesg.Caption = ""
    ' turn the timer off so it doesn't run again
    Timer1.Enabled = False
End Sub

' get and set the timeout value property
Public Property Get DisplayTime() As Integer
    DisplayTime = timeout
End Property

Public Property Let DisplayTime(ByVal vNewValue As Integer)
    timeout = vNewValue
    PropertyChanged "DisplayTime"
End Property

'get the design times changes
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    timeout = PropBag.ReadProperty("DisplayTime", 5000)
End Sub

'set the design time changes
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    PropBag.WriteProperty "DisplayTime", timeout, 5000
End Sub
