VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "asgs"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Dim coll As Collection
Dim changed As Boolean
Dim saved As Boolean
Dim loaded As Boolean
Dim basedir As String

Public Function loadasgs(mdir As String) As Boolean
    Dim fnum As Integer, buff As String, fname As String
    Dim dstr As Variant, a As asg
    If basedir = "" Then basedir = getbase(mdir)
    fname = basedir & "\asgs.dt"
    fnum = FreeFile
    Set coll = New Collection
    If Dir$(fname) <> "" Then  ' there is already a data file
        Open fname For Input As fnum
        Do While Not EOF(fnum)
            Line Input #fnum, buff
            dstr = Split(buff, ";")
            Set a = New asg
            a.asgnum = dstr(0)
            a.asgpoints = dstr(1)
            a.asgtype = dstr(2)
            coll.Add a
        Loop
        Close #fnum
    End If
    loaded = True
    changed = False
End Function
Public Function saveasgs(mdir As String) As Boolean
    Dim fnum As Integer, buff As asg, fname As String
    If basedir = "" Then basedir = getbase(mdir)
    fname = basedir & "\asgs.dt"
    MsgBox "saving asignments in :" & fname & ":"
    fnum = FreeFile
    Open fname For Output As fnum
    For Each buff In coll
        Print #fnum, buff.asgnum & ";" & buff.asgpoints & ";" & buff.asgtype
    Next
    Close #fnum
    saved = True
    changed = False
End Function

Public Property Get count() As Integer
    count = coll.count
End Property

Public Property Get ischanged() As Boolean
    ischanged = changed
End Property
Public Property Get isloaded() As Boolean
    isloaded = loaded
End Property
Public Property Get issaved() As Boolean
    issaved = saved
End Property
Private Sub Class_Initialize()
    changed = False
    saved = False
    loaded = False
End Sub

Public Function addasg(num As String, points As String, kind As String) As Boolean
    Dim dstr As New asg
    dstr.asgnum = num
    dstr.asgpoints = points
    dstr.asgtype = kind
    coll.Add dstr
    addasg = True
    changed = True
    saved = False
End Function

Private Function getbase(mdir As String) As String
    Dim x As Variant, dout As String, i As Integer
    x = Split(mdir, "\")
    For i = 0 To UBound(x) - 1
        dout = dout & x(i) & "\"
    Next i
    getbase = dout
End Function

Public Function item(index As Integer) As asg
    Set item = coll.item(index)
End Function
Public Function NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    Set NewEnum = m_courses.[_NewEnum]
End Function
